using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace drugaverzija
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int BrojStalaktita;
            int PericinaVisina;
            int res = 0;
            string[] ulaz = Console.ReadLine().Split();
            BrojStalaktita = int.Parse(ulaz[0]);
            PericinaVisina = int.Parse(ulaz[1]);
            ulaz = Console.ReadLine().Split();

            for (int i = 0; i < BrojStalaktita; i++)
            {
                res++;
                if (PericinaVisina >= int.Parse(ulaz[i]))
                {
                    break;
                }
            }

            if (res == BrojStalaktita)
            {
                Console.WriteLine(-1);
            }
            else
            {
                Console.WriteLine(res);
            }


        }
    }
}